type DecimalInput = number | bigint | string | Decimal;
export declare class Decimal {
    readonly sign: 1 | -1;
    readonly coeff: bigint;
    readonly exp: number;
    constructor(sign: 1 | -1, coeff: bigint, exp: number);
    static from(v: DecimalInput): Decimal;
    isZero(): boolean;
    isInteger(): boolean;
    neg(): Decimal;
    abs(): Decimal;
    add(other: DecimalInput): Decimal;
    sub(other: DecimalInput): Decimal;
    mul(other: DecimalInput): Decimal;
    div(other: DecimalInput, precision?: number): Decimal;
    mod(other: DecimalInput): Decimal;
    _digits(): number;
    cmp(other: DecimalInput): -1 | 0 | 1;
    eq(other: DecimalInput): boolean;
    lt(other: DecimalInput): boolean;
    lte(other: DecimalInput): boolean;
    gt(other: DecimalInput): boolean;
    gte(other: DecimalInput): boolean;
    toNumber(): number;
    valueOf(): number;
    toString(): string;
    toJSON(): number;
    get [Symbol.toStringTag](): string;
    [Symbol.toPrimitive](hint: string): string | number;
}
export {};
